# laravel-simple-view-struct

O Laravel possui um arquivo proprio para gerenciar as configurações do webpack o arquivo webpack.mix.js. Para facilitar o processo de desenvolvimento e evitar algumas configurações repetitivas, criamos esse plugin com itenção de faciltiar o desenvolvimento, ele fornece ferramentas para transpilação e minificação, de arquivos javascript e sass automaticamente. 
Para executar as ferramenta desse módulo podemos seguir os passos abaixo:  

---
# Instalação

`npm install laravel-simple-view-struct`

---
# Configuração
Para que o pacote possa funcionar devemos adicionar no arquivo webpack.mix.js a linha a seguir, é importante resaltar que com o parametro true ele faz a limpeza a dos arquivos que são gerados na pasta public após serem compilados, evitando assim possíveis problemas relacionados a cache.

```
// sem o parametro true
min = require('laravel-simple-view-struct')(mix);

// com o parametro true
min = require('laravel-simple-view-struct')(mix, true);
```
---
# Execução do modulo
Após devidamente instalado o módulo basta executar o script responsável pela execução dos scripts no seu arquivo package.json comumente o comando executado é o:

`npm run development -- --watch`

ou

`npm run watch`

---
# Compilação de arquivos na pasta de Views
O modulo faz a compilação com os arquivos que estão dentro da pasta padrão de views do laravel. É feita uma busca recursiva por todos os diretórios que contenham os arquivos _.js e _.scss. Para os arquivos _.scss é feita a transpilação para o formato .css para que o browser possa entender, enquanto que para os arquivos .js é feito todo o processo de webpack. Por esse motivo no caso desse módulo devemos seguir sempre esse padrão para a utilização do nosso sistema de views.